GridFire 0.6.0 General Purpose Nuclear Network

Loading...
Searching...
No Matches
Classes | Namespaces | Enumerations | Variables
network.h File Reference
`#include <vector>`
`#include "fourdst/logging/logging.h"`
`#include "fourdst/config/config.h"`
`#include "fourdst/composition/species.h"`
`#include "fourdst/composition/composition.h"`
`#include "fourdst/constants/const.h"`
`#include "quill/Logger.h"`
`#include <unordered_map>`

## Classes
struct | gridfire::NetIn
struct | gridfire::NetOut
class | gridfire::Network

## Namespaces
namespace | gridfire

## Enumerations
enum | gridfire::NetworkFormat { gridfire::APPROX8 , gridfire::REACLIB , gridfire::UNKNOWN }

## Variables
static std::unordered_map< NetworkFormat, std::string > | gridfire::FormatStringLookup